Subject: bug#49474: 28.0.50; package-menu-filter-by-status doesn't accept argument it claims to

From: Adam Porter <[email-masked]>
Date: Thu, 8 Jul 2021 20:20:51 -0500

The docstring for the function package-menu-filter-by-status says:

    When called interactively, prompt for STATUS, which can be a
    comma-separated string.  If STATUS is empty, show all packages.

    When called from Lisp, STATUS can be a string or a list of
    strings.  If STATUS is nil or the empty string, show all
    packages.

However, when given a comma-separated string or a list of strings, it
doesn't work, because it applies a filter predicate that calls
string-match-p, which expects a regexp string.

Thanks for your work on Emacs.